% compute_ce_corr.m
valid_weeks = 39; % period over while the ce is computed
Mu = params_corr(1:2);
R = [ params_corr(3) params_corr(4); 0 params_corr(5) ];
Y = Z*R; 
lam = exp(Mu(1) + Y(:,1));
mu = exp(Mu(2) + Y(:,2));
lammu = lam + mu;
lik = zeros(length(p1x),1);
ce_corr = zeros(length(p1x),1);
for i = 1:length(p1x)
   part1 = lam.^(p1x(i))./lammu;
   part2 = lam.*exp(-lammu*T(i));
   lik(i) = mean(part1.*(mu.*exp(-lammu*tx(i)) + part2));
   ce_corr(i) = mean(lam.^(p1x(i)+1)./mu.*exp(-lammu*T(i)) ....
      .*(1-exp(-mu*valid_weeks)))./lik(i);
end
