% compute_ce_pnbd.m
% 
% compute the Pareto/NBD conditional expectations

r     =  0.553;
alpha = 10.578;
s     =  0.606;
beta  = 11.669;

maxab = max(alpha,beta);
absab = abs(alpha-beta);
param2 = s+1;
if alpha < beta
    param2 = r+p1x;
end    

F0 = (alpha+T).^(r+p1x).*(beta+T).^s;
F1=h2f1(r+s+p1x,param2,r+s+p1x+1,absab./(maxab+tx))./...
    ((maxab+tx).^(r+s+p1x));
F2=h2f1(r+s+p1x,param2,r+s+p1x+1,absab./(maxab+T))./...
    ((maxab+T).^(r+s+p1x));
palive = 1./(1+(s./(r+s+p1x)).*F0 .*(F1-F2));

t = 39; 
tmp1 = (r+p1x).*(beta+T)./((alpha+T).*(s-1));
tmp2 = ((beta+T)./(beta+T+t)).^(s-1);
ce_pnbd = tmp1.*(1-tmp2).*palive;
