% compute_ce_uncorr.m
valid_weeks = 39; % period over while the ce is computed
Nu = params_uncorr(1:2);
Sigma = diag([params_uncorr(3:4)]);
Y = Z*sqrt(Sigma);
lam = exp(Nu(1) + Y(:,1));
mu = exp(Nu(2) + Y(:,2));
lammu = lam + mu;
lik = zeros(length(p1x),1);
ce_uncorr = zeros(length(p1x),1);
for i = 1:length(p1x)
   part1 = lam.^(p1x(i))./lammu;
   part2 = lam.*exp(-lammu*T(i));
   lik(i) = mean(part1.*(mu.*exp(-lammu*tx(i)) + part2));
   ce_uncorr(i) = mean(lam.^(p1x(i)+1)./mu.*exp(-lammu*T(i)) ....
      .*(1-exp(-mu*valid_weeks)))./lik(i);
end

