% compute_ex.m
EndWk = 78;
EndDay = EndWk*7; 
ex_uncorr = zeros(1,EndDay);
ex_corr = zeros(1,EndDay);
% compute E[(X(t)] for the uncorrelated model 
Nu = params_uncorr(1:2);
Sigma = diag([params_uncorr(3:4)]);
Y = Z*sqrt(Sigma);
lam = exp(Nu(1) + Y(:,1));
mu = exp(Nu(2) + Y(:,2));
for i = 1:EndDay
   ex_uncorr(i) = mean((lam./mu).*(1-exp(-mu*i/7)));
end
% compute E[(X(t)] for the correlated model 
Nu = params_corr(1:2);
R = [ params_corr(3) params_corr(4); 0 params_corr(5) ];
Y = Z*R; 
lam = exp(Nu(1) + Y(:,1));
mu = exp(Nu(2) + Y(:,2));
for i = 1:EndDay
   ex_corr(i) = mean((lam./mu).*(1-exp(-mu*i/7)));
end
