% compute_ex_pnbd.m
% 
% creates the sales forecast off the Pareto/NBD 

r     =  0.553;
alpha = 10.578;
s     =  0.606;
beta  = 11.669;

ex_pnbd = [];
tmp1 = r*beta/(alpha*(s-1));
for t = 1:EndDay
   tmp2 = (beta/(beta+t/7))^(s-1);
   ex_pnbd(t) = tmp1*(1-tmp2);
end;

